<?php
/**
 * Checkout coupon form
 *
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     3.4.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

global $venedor_woo_version;

if( version_compare($venedor_woo_version, '2.5', '<') ) {
	if( ! WC()->cart->coupons_enabled() ){
		return;
	}
}else{
	if( version_compare($venedor_woo_version, '3.4.0', '<') ) {
		if ( ! wc_coupons_enabled() ) {
			return;
		}
	}else{
		if ( ! wc_coupons_enabled() || ! empty( WC()->cart->applied_coupons ) ) { // @codingStandardsIgnoreLine.
			return;
		}
	}
}
?>

<div class="woocommerce-form-coupon-toggle">
	<?php wc_print_notice( apply_filters( 'woocommerce_checkout_coupon_message', __( 'Have a coupon?', 'venedor' ) . ' <a href="#" class="showcoupon">' . __( 'Click here to enter your code', 'venedor' ) . '</a>' ), 'notice' ); ?>
</div>

<form class="checkout_coupon woocommerce-form-coupon" method="post" style="display:none">
	
	<p><?php esc_html_e( 'If you have a coupon code, please apply it below.', 'woocommerce' ); ?></p>
	
	<p class="form-row form-row-first input-field">
        <label for="coupon_code"><span class="fa fa-cut"></span><?php _e( 'Coupon code', 'venedor' ); ?> <span class="required">*</span></label>
		<input type="text" name="coupon_code" class="input-text" placeholder="<?php esc_attr_e( 'Coupon code', 'venedor' ); ?>" id="coupon_code" value="" />
	</p>

	<p class="form-row button-row form-row-last">
		<button type="submit" class="button btn-lg" name="apply_coupon" value="<?php esc_attr_e( 'Apply coupon', 'venedor' ); ?>"><?php esc_html_e( 'Apply coupon', 'venedor' ); ?></button>
	</p>

	<div class="clear"></div>
</form>