<?php
/**
 * Edit account form
 *
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     3.4.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

global $venedor_woo_version;

if (version_compare($venedor_woo_version, '2.6', '<'))
    wc_print_notices(); 

do_action( 'woocommerce_before_edit_account_form' );
?>

<form action="" method="post" class="woocommerce-EditAccountForm edit-account">

    <?php do_action( 'woocommerce_edit_account_form_start' ); ?>

    <p class="woocommerce-form-row woocommerce-form-row--first form-row form-row-first input-field">
        <label for="account_first_name"><?php esc_html_e( 'First name', 'venedor' ); ?>&nbsp;<span class="required">*</span></label>
        <input type="text" class="woocommerce-Input woocommerce-Input--text input-text" name="account_first_name" id="account_first_name" autocomplete="given-name" value="<?php echo esc_attr( $user->first_name ); ?>" />
	</p>
    <p class="woocommerce-form-row woocommerce-form-row--last form-row form-row-last input-field">
        <label for="account_last_name"><?php esc_html_e( 'Last name', 'venedor' ); ?>&nbsp;<span class="required">*</span></label>
        <input type="text" class="woocommerce-Input woocommerce-Input--text input-text" name="account_last_name" id="account_last_name" autocomplete="given-name" value="<?php echo esc_attr( $user->last_name ); ?>" />
	</p>
    <div class="clear"></div>

    <p class="woocommerce-form-row woocommerce-form-row--wide form-row form-row-wide input-field">
        <label for="account_email"><?php esc_html_e( 'Email address', 'venedor' ); ?> <span class="required">*</span></label>
        <input type="email" class="woocommerce-Input woocommerce-Input--email input-text" name="account_email" id="account_email" value="<?php echo esc_attr( $user->user_email ); ?>" />
	</p>

    <fieldset>
        <legend><?php esc_html_e( 'Password Change', 'venedor' ); ?></legend>

        <p class="woocommerce-form-row woocommerce-form-row--wide form-row form-row-wide input-field">
            <label for="password_current"><?php esc_html_e( 'Current Password (leave blank to leave unchanged)', 'venedor' ); ?></label>
            <input type="password" class="woocommerce-Input woocommerce-Input--password input-text" name="password_current" id="password_current" autocomplete="off" />
        </p>
        <p class="woocommerce-form-row woocommerce-form-row--wide form-row form-row-wide input-field">
            <label for="password_1"><?php esc_html_e( 'New Password (leave blank to leave unchanged)', 'venedor' ); ?></label>
            <input type="password" class="woocommerce-Input woocommerce-Input--password input-text" name="password_1" id="password_1" autocomplete="off" />
        </p>
        <p class="woocommerce-form-row woocommerce-form-row--wide form-row form-row-wide input-field">
            <label for="password_2"><?php esc_html_e( 'Confirm New Password', 'venedor' ); ?></label>
            <input type="password" class="woocommerce-Input woocommerce-Input--password input-text" name="password_2" id="password_2" autocomplete="off" />
        </p>
    </fieldset>
    <div class="clear"></div>

    <?php do_action( 'woocommerce_edit_account_form' ); ?>

    <p>
        <?php 
		if ( version_compare($venedor_woo_version, '3.4.0', '<') )
			wp_nonce_field( 'save_account_details' );
		else
			wp_nonce_field( 'save_account_details', 'save-account-details-nonce' );
		?>
		<button type="submit" class="woocommerce-Button button pt-right" name="save_account_details" value="<?php esc_attr_e( 'Save changes', 'venedor' ); ?>"><?php esc_html_e( 'Save changes', 'venedor' ); ?></button>
        <input type="hidden" name="action" value="save_account_details" />
    </p>

    <?php do_action( 'woocommerce_edit_account_form_end' ); ?>

</form>

<?php do_action( 'woocommerce_after_edit_account_form' ); ?>