<?php
/**
 * Login Form
 *
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     3.4.0
 */

if ( ! defined( 'ABSPATH' ) ) {
    exit;
}

?>

<?php wc_print_notices(); ?>

<?php do_action('woocommerce_before_customer_login_form'); ?>

<?php if ( get_option( 'woocommerce_enable_myaccount_registration' ) === 'yes' ) : ?>

<div class="u-columns row" id="customer_login">

	<div class="u-column1 col-sm-6">

<?php endif; ?>

		<h2><?php esc_html_e( 'Login', 'venedor' ); ?></h2>

		<form method="post" class="login">

			<?php do_action( 'woocommerce_login_form_start' ); ?>

			<p class="woocommerce-form-row woocommerce-form-row--wide form-row form-row-first input-field">
				<label for="username"><span class="fa fa-user"></span><?php esc_html_e( 'Username', 'venedor' ); ?>&nbsp;<span class="required">*</span></label>
				<input type="text" class="input-text" name="username" id="username" placeholder="<?php esc_attr( 'Username or email', 'venedor' ); ?>" autocomplete="username" value="<?php if ( ! empty( $_POST['username'] ) ) echo esc_attr( wp_unslash( $_POST['username'] ) ); ?>" />
			</p>
			<p class="woocommerce-form-row woocommerce-form-row--wide form-row form-row-last input-field">
				<label for="password"><span class="fa fa-lock"></span><?php esc_html_e( 'Password', 'venedor' ); ?>&nbsp;<span class="required">*</span></label>
				<input class="input-text" type="password" name="password" id="password" autocomplete="current-password" placeholder="<?php esc_attr( 'Password', 'venedor' ); ?>" />
			</p>
			<div class="clear"></div>

			<p class="form-row button-row">
				<?php wp_nonce_field( 'woocommerce-login', 'woocommerce-login-nonce' ); ?>
				<button type="submit" class="button btn-lg" name="login" value="<?php esc_attr_e( 'Login', 'venedor' ); ?>"><?php esc_html_e( 'Login', 'venedor' ); ?></button>
				<label for="rememberme" class="inline">
					<input name="rememberme" type="checkbox" id="rememberme" value="forever" /> <?php esc_html_e( 'Remember me', 'venedor' ); ?>
				</label>
			</p>
			<p class="lost_password">
				<a href="<?php echo esc_url( wp_lostpassword_url() ); ?>"><?php esc_html_e( 'Lost your password?', 'venedor' ); ?></a>
			</p>

			<?php do_action( 'woocommerce_login_form_end' ); ?>

		</form>

<?php if ( get_option( 'woocommerce_enable_myaccount_registration' ) === 'yes' ) : ?>

	</div>

	<div class="u-column1 col-sm-6">

		<h2><?php esc_html_e( 'Register', 'venedor' ); ?></h2>

		<form method="post" class="woocommerce-form woocommerce-form-register register">

			<?php do_action( 'woocommerce_register_form_start' ); ?>

			<?php if ( 'no' === get_option( 'woocommerce_registration_generate_username' ) ) : ?>

				<p class="woocommerce-form-row woocommerce-form-row--wide form-row form-row-first input-field">
					<label for="reg_username"><span class="fa fa-user"></span><?php esc_html_e( 'Username', 'venedor' ); ?>&nbsp;<span class="required">*</span></label>
					<input type="text" class="woocommerce-Input woocommerce-Input--text input-text" name="username" id="reg_username" autocomplete="username" value="<?php if (isset($_POST['username'])) echo esc_attr( wp_unslash( $_POST['username'] ) ); ?>" placeholder="<?php esc_attr( 'Username', 'venedor' ); ?>" />
				</p>


			<?php endif; ?>

			<p class="woocommerce-form-row woocommerce-form-row--wide form-row form-row-last input-field">

				<label for="reg_email"><span class="fa fa-envelope"></span><?php esc_html_e( 'Email', 'venedor' ); ?>&nbsp;<span class="required">*</span></label>
				<input type="email" class="woocommerce-Input woocommerce-Input--text input-text" name="email" id="reg_email" autocomplete="email" value="<?php if (isset($_POST['email'])) echo esc_attr( wp_unslash( $_POST['email'] ) ); ?>" placeholder="<?php esc_attr( 'Email', 'venedor' ); ?>" />
			</p>

			<div class="clear"></div>

            <?php if ( 'no' === get_option( 'woocommerce_registration_generate_password' ) ) : ?>
            
			    <p class="woocommerce-form-row woocommerce-form-row--wide form-row form-row-first input-field">
				    <label for="reg_password"><span class="fa fa-lock"></span><?php esc_html_e( 'Password', 'venedor' ); ?>&nbsp;<span class="required">*</span></label>
				    <input type="password" class="woocommerce-Input woocommerce-Input--text input-text" name="password" id="reg_password" autocomplete="new-password" />
			    </p>
                
            <?php endif; ?>
            
			<div class="clear"></div>
			
			<?php do_action( 'woocommerce_register_form' ); ?>

			<p class="woocommerce-FormRow form-row button-row">
				<?php wp_nonce_field( 'woocommerce-register', 'woocommerce-register-nonce' ); ?>
				<button type="submit" class="woocommerce-Button button btn-lg" name="register" value="<?php esc_attr_e( 'Register', 'venedor' ); ?>"><?php esc_html_e( 'Register', 'venedor' ); ?></button>
			</p>

			<?php do_action( 'woocommerce_register_form_end' ); ?>

		</form>

	</div>

</div>
<?php endif; ?>

<?php do_action('woocommerce_after_customer_login_form'); ?>