<?php
/**
 * External product add to cart
 *
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     3.4.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

global $venedor_settings, $venedor_woo_version;

if ($venedor_settings['product-addcart']) :
?>

<?php do_action('woocommerce_before_add_to_cart_button'); ?>

<?php if ( version_compare($venedor_woo_version, '3.4.0', '<') ) : ?>
	
	<p class="cart">
		<a href="<?php echo esc_url( $product_url ); ?>" rel="nofollow" class="single_add_to_cart_button button alt"><?php echo esc_html( $button_text ); ?></a>
	</p>

<?php else: ?>

	<form class="cart" action="<?php echo esc_url( $product_url ); ?>" method="get">
		<?php do_action( 'woocommerce_before_add_to_cart_button' ); ?>

		<input type="submit" class="single_add_to_cart_button button alt" value="<?php echo esc_html( $button_text ); ?>" />

		<?php wc_query_string_form_fields( $product_url ); ?>

		<?php do_action( 'woocommerce_after_add_to_cart_button' ); ?>
	</form>

<?php endif; ?>

<?php do_action('woocommerce_after_add_to_cart_button');
endif; ?>